Authorization
Descope Project ID:Refresh JWT Project ID:Refresh JWT as bearer token.
In: header
Get user's session history
This API Endpoint will return the current user's session history including geo-location and IP address. This endpoint requires the user to be signed in and have a valid refreshJwt. The refreshJwt is then used as part of the Authorization Bearer to perform this task.
curl -X GET "https://api.descope.com/v1/auth/me/history"{ "authHistory": [ { "userId": "string", "loginTime": 0, "city": "string", "country": "string", "ip": "string", "selectedTenant": "string" } ]}export interface Response {authHistory?: ExportedAuthHistory[]}export interface ExportedAuthHistory {userId?: stringloginTime?: numbercity?: stringcountry?: stringip?: stringselectedTenant?: string}My Details GET
### Get current signed-in user details This API Endpoint will return the current user's details. This endpoint requires the user to be signed in and have a valid `refreshJwt`. The `refreshJwt` is then used as part of the Authorization Bearer to perform this task.
Select an active tenant POST
### Set the active tenant for the user's current session This endpoint allows you to get a new session token and refresh token with the `dct` claim on the JWT which shows the active selected tenant for the user. See [Tenant Selection Article](/knowledgebase/descopeflows/tenantselectcomponent/) for more details of the usage.